"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const AxiosError = require("../core/AxiosError.js");
const utils = require("../utils.js");
function CanceledError(message, config, request) {
  AxiosError.default.call(this, message == null ? "canceled" : message, AxiosError.default.ERR_CANCELED, config, request);
  this.name = "CanceledError";
}
utils.default.inherits(CanceledError, AxiosError.default, {
  __CANCEL__: true
});
exports.default = CanceledError;
